<% if @deployment_creation_error -%>
<%= turbo_stream.replace "deployment_creation_error" do %>
  <p><%= @deployment_creation_error %></p>
<% end -%>
<% else -%>
<%= turbo_stream.append "unmanaged_deployments" do %>
  <% @deployments.each do |md| -%>
    <li id="<%= md.id %>-item">
      <%= render 'deployments/deployment', deployment: md %>
    </li>
  <% end -%>
<% end -%>
<% end -%>
<%= turbo_stream.replace "new-deployment-form" do -%>
  <%= render partial: "deployments/form" %>
<% end -%>
